=== debian/control ===
Source: phtml
Section: web
Priority: extra
Maintainer: Matthew Palmer <mpalmer@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: phtml
Architecture: all
Depends: php4
Description: An extension library for PHP
 PHTML is a library for PHP which was originally intended to support the
 easy production of dynamic HTML pages without writing a lot of HTML code by
 hand.  It has since expanded somewhat to encompass other things.  There are
 basic HTML, forms, tables, MySQL and LDAP database wrappers, as well as
 logging support.
